Manages Google Cloud technical support cases for Customer Care support offerings.

## Service: cloudsupport.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery documents:

- <https://cloudsupport.googleapis.com/$discovery/rest?version=v2>
- <https://cloudsupport.googleapis.com/$discovery/rest?version=v2beta>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://cloudsupport.googleapis.com`

## REST Resource: [v2beta.caseClassifications](https://docs.cloud.google.com/support/docs/reference/rest/v2beta/caseClassifications)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/support/docs/reference/rest/v2beta/caseClassifications/search` | `GET /v2beta/caseClassifications:search` Retrieve valid classifications to use when creating a support case. |

## REST Resource: [v2beta.cases](https://docs.cloud.google.com/support/docs/reference/rest/v2beta/cases)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/support/docs/reference/rest/v2beta/cases/close` | `POST /v2beta/{name=*/*/cases/*}:close` Close a case. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2beta/cases/create` | `POST /v2beta/{parent=*/*}/cases` Create a new case and associate it with a parent. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2beta/cases/escalate` | `POST /v2beta/{name=*/*/cases/*}:escalate` Escalate a case, starting the Google Cloud Support escalation management process. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2beta/cases/get` | `GET /v2beta/{name=*/*/cases/*}` Retrieve a case. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2beta/cases/list` | `GET /v2beta/{parent=*/*}/cases` Retrieve all cases under a parent, but not its children. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2beta/cases/patch` | `PATCH /v2beta/{case.name=*/*/cases/*}` Update a case. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2beta/cases/search` | `GET /v2beta/cases:search` Search for cases using a query. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2beta/cases/showFeed` | `GET /v2beta/{parent=*/*/cases/*}:showFeed` Show items in the feed of this case, including case emails, attachments, and comments. |

## REST Resource: [v2beta.cases.attachments](https://docs.cloud.google.com/support/docs/reference/rest/v2beta/cases.attachments)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/support/docs/reference/rest/v2beta/cases.attachments/get` | `GET /v2beta/{name=*/*/cases/*/attachments/*}` Retrieve an attachment associated with a support case. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2beta/cases.attachments/list` | `GET /v2beta/{parent=*/*/cases/*}/attachments` List all the attachments associated with a support case. |

## REST Resource: [v2beta.cases.comments](https://docs.cloud.google.com/support/docs/reference/rest/v2beta/cases.comments)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/support/docs/reference/rest/v2beta/cases.comments/create` | `POST /v2beta/{parent=*/*/cases/*}/comments` Add a new comment to a case. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2beta/cases.comments/get` | `GET /v2beta/{name=*/*/cases/*/comments/*}` Retrieve a comment. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2beta/cases.comments/list` | `GET /v2beta/{parent=*/*/cases/*}/comments` List all the comments associated with a case. |

## REST Resource: [v2beta.media](https://docs.cloud.google.com/support/docs/reference/rest/v2beta/media)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/support/docs/reference/rest/v2beta/media/download` | `GET /v2beta/{name=*/*/cases/*/attachments/*}:download` Download a file attached to a case. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2beta/media/upload` | `POST /v2beta/{parent=*/*/cases/*}/attachments` `POST /upload/v2beta/{parent=*/*/cases/*}/attachments` Create a file attachment on a case or Cloud resource. |

## REST Resource: [v2beta.organizations.supportEventSubscriptions](https://docs.cloud.google.com/support/docs/reference/rest/v2beta/organizations.supportEventSubscriptions)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/support/docs/reference/rest/v2beta/organizations.supportEventSubscriptions/create` | `POST /v2beta/{parent=organizations/*}/supportEventSubscriptions` Creates a support event subscription for an organization. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2beta/organizations.supportEventSubscriptions/delete` | `DELETE /v2beta/{name=organizations/*/supportEventSubscriptions/*}` Soft deletes a support event subscription. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2beta/organizations.supportEventSubscriptions/expunge` | `POST /v2beta/{name=organizations/*/supportEventSubscriptions/*}:expunge` Expunges a support event subscription. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2beta/organizations.supportEventSubscriptions/get` | `GET /v2beta/{name=organizations/*/supportEventSubscriptions/*}` Gets a support event subscription. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2beta/organizations.supportEventSubscriptions/list` | `GET /v2beta/{parent=organizations/*}/supportEventSubscriptions` Lists support event subscriptions. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2beta/organizations.supportEventSubscriptions/patch` | `PATCH /v2beta/{supportEventSubscription.name=organizations/*/supportEventSubscriptions/*}` Updates a support event subscription. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2beta/organizations.supportEventSubscriptions/undelete` | `POST /v2beta/{name=organizations/*/supportEventSubscriptions/*}:undelete` Undeletes a support event subscription. |

## REST Resource: [v2.caseClassifications](https://docs.cloud.google.com/support/docs/reference/rest/v2/caseClassifications)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/support/docs/reference/rest/v2/caseClassifications/search` | `GET /v2/caseClassifications:search` Retrieve valid classifications to use when creating a support case. |

## REST Resource: [v2.cases](https://docs.cloud.google.com/support/docs/reference/rest/v2/cases)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/support/docs/reference/rest/v2/cases/close` | `POST /v2/{name=*/*/cases/*}:close` Close a case. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2/cases/create` | `POST /v2/{parent=*/*}/cases` Create a new case and associate it with a parent. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2/cases/escalate` | `POST /v2/{name=*/*/cases/*}:escalate` Escalate a case, starting the Google Cloud Support escalation management process. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2/cases/get` | `GET /v2/{name=*/*/cases/*}` Retrieve a case. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2/cases/list` | `GET /v2/{parent=*/*}/cases` Retrieve all cases under a parent, but not its children. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2/cases/patch` | `PATCH /v2/{case.name=*/*/cases/*}` Update a case. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2/cases/search` | `GET /v2/{parent=*/*}/cases:search` Search for cases using a query. |

## REST Resource: [v2.cases.attachments](https://docs.cloud.google.com/support/docs/reference/rest/v2/cases.attachments)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/support/docs/reference/rest/v2/cases.attachments/get` | `GET /v2/{name=*/*/cases/*/attachments/*}` Retrieve an attachment associated with a support case. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2/cases.attachments/list` | `GET /v2/{parent=*/*/cases/*}/attachments` List all the attachments associated with a support case. |

## REST Resource: [v2.cases.comments](https://docs.cloud.google.com/support/docs/reference/rest/v2/cases.comments)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/support/docs/reference/rest/v2/cases.comments/create` | `POST /v2/{parent=*/*/cases/*}/comments` Add a new comment to a case. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2/cases.comments/get` | `GET /v2/{name=*/*/cases/*/comments/*}` Retrieve a comment. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2/cases.comments/list` | `GET /v2/{parent=*/*/cases/*}/comments` List all the comments associated with a case. |

## REST Resource: [v2.media](https://docs.cloud.google.com/support/docs/reference/rest/v2/media)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/support/docs/reference/rest/v2/media/download` | `GET /v2/{name=*/*/cases/*/attachments/*}:download` Download a file attached to a case. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2/media/upload` | `POST /v2/{parent=*/*/cases/*}/attachments` `POST /upload/v2/{parent=*/*/cases/*}/attachments` Create a file attachment on a case or Cloud resource. |

## REST Resource: [v2.organizations.supportEventSubscriptions](https://docs.cloud.google.com/support/docs/reference/rest/v2/organizations.supportEventSubscriptions)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/support/docs/reference/rest/v2/organizations.supportEventSubscriptions/create` | `POST /v2/{parent=organizations/*}/supportEventSubscriptions` Creates a support event subscription for an organization. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2/organizations.supportEventSubscriptions/delete` | `DELETE /v2/{name=organizations/*/supportEventSubscriptions/*}` Soft deletes a support event subscription. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2/organizations.supportEventSubscriptions/expunge` | `POST /v2/{name=organizations/*/supportEventSubscriptions/*}:expunge` Expunges a support event subscription. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2/organizations.supportEventSubscriptions/get` | `GET /v2/{name=organizations/*/supportEventSubscriptions/*}` Gets a support event subscription. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2/organizations.supportEventSubscriptions/list` | `GET /v2/{parent=organizations/*}/supportEventSubscriptions` Lists support event subscriptions. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2/organizations.supportEventSubscriptions/patch` | `PATCH /v2/{supportEventSubscription.name=organizations/*/supportEventSubscriptions/*}` Updates a support event subscription. |
| `https://docs.cloud.google.com/support/docs/reference/rest/v2/organizations.supportEventSubscriptions/undelete` | `POST /v2/{name=organizations/*/supportEventSubscriptions/*}:undelete` Undeletes a support event subscription. |